Bug 907111 - Qcad included non-free files
Qcad included non-free files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qcad (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alain Portal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-02-03 05:21 EST by mejiko
Modified: 2014-01-15 22:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 11:00:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 375252 None None None Never
Debian BTS 645043 None None None Never
Debian BTS 646897 None None None Never

  None (edit)
Description mejiko 2013-02-03 05:21:53 EST
Hello.

Qcad is CAD software, Source code license is GPL.
But other files is *NOT* GPL license. (NON-FREE)

See: http://www.ribbonsoft.com/en/qcad-downloads-trial

File list:

https://admin.fedoraproject.org/pkgdb/builds/show/F-devel-i386/qcad/0/2.0.5.0/17.fc18/i686


This problem is already reported (Debian BTS).


Seggests:

1. Replace Librecad (review request is not find)

2. Replace Fedora free (Fedora acceptable licensed) files.

3. Remove Fedora repos. 

Thanks.


Reference

http://packages.debian.org/en/sid/qcad
http://librecad.org/cms/home.html
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing
Comment 1 mejiko 2013-02-03 05:23:35 EST
Blocking FE-Legal, This is license problem.
Comment 2 Tom "spot" Callaway 2013-02-25 02:18:31 EST
I have some packages ready for review soon for librecad, I think the best course of action is to retire qcad due to legal concerns. Alain, are you okay with this?
Comment 3 Alain Portal 2013-02-25 05:20:54 EST
Of course I'm not okay, but I have a choice?
Comment 4 Tom "spot" Callaway 2013-02-25 06:56:58 EST
Well, if you think there is a way to resolve the non-free licensing issues with qcad, I am certainly willing to consider that.

The issue seems to be that all of the fonts, patterns, example libraries, and documentation are non-free. If all of these items were removed, it could remain, but I'm not sure how functional or useful qcad would be at that point.
Comment 5 Alain Portal 2013-02-25 08:06:36 EST
As you say, removing all non-free items will make qcad probably useless...
Documentation was really usefull.

Have I to understand that qcad have to be deleted from all branches and from Fedora repositories?
Comment 6 Tom "spot" Callaway 2013-02-25 13:49:23 EST
No, just retire it and delete in rawhide before F19 branches (which means, do it soon!). I think this would be a great candidate to move to rpmfusion.

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 7 Alain Portal 2013-02-26 11:00:31 EST
Package retired from rawhide.
I'll try to suggest to rpmfusion, but I never contributed to this repo before.
Comment 8 Michael Schwendt 2013-07-15 06:29:54 EDT
I've completed the missing step 2 in git master:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Has step 8 been done?
Comment 9 Alain Portal 2013-07-15 07:04:08 EDT
Yes: https://fedorahosted.org/rel-eng/ticket/5509
Comment 10 Richard Shaw 2014-01-15 22:33:44 EST
Has any of this changed with version 3.4.5? I have not been able to find enough specifics between this bug and the linked debian bugs to make an evaluation.

https://raw.github.com/qcad/qcad/master/LICENSE.txt

Note You need to log in before you can comment on or make changes to this bug.